/*
 *  PeaGnut - Command-line Gnutella client for Unix
 *  Copyright (C) 2000  Ciaran Lynch
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _CONLIST_H
#define _CONLIST_H

int con_list_loop(void);

/* Values for status */
#define CONNECTION_CONNECTING		0 /* For outgoing only, waiting for socket */
#define CONNECTION_REQUESTED_IN		1 /* Challenge, no response */
#define CONNECTION_REQUESTED_OUT	2 /* Same, going out */
#define CONNECTION_ESTABLISHED 		3 /* Normal connection established */

#endif
