/*
 *  PeaGnut - Command-line Gnutella client for Unix
 *  Copyright (C) 2000  Ciaran Lynch
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _PACKETOUTGOING_H
#define _PACKETOUTGOING_H

int outgoing_packet_write_ping(char *address,char *port);
int outgoing_packet_write_pong(char *guid,char *address,char *port);
int outgoing_packet_route_pong(char *guid,int ttl,int hops,void *payload,int payload_length,char *address,char *port);
int outgoing_packet_broadcast_ping(char *guid,int ttl,int hops,char *address,char *port);
int outgoing_packet_broadcast_query(char *guid,int ttl,int hops,void *payload,int payload_length,char *address,char *port);
int outgoing_packet_route_queryhit(char *guid,int ttl,int hops,void *payload,int payload_length,char *address,char *port);

#endif
